Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.dom
Class SingletonIterator

    java.lang.Object
      |
      +--org.apache.xml.dtm.ref.DTMAxisIteratorBase
            |
            +--org.apache.xalan.xsltc.dom.SingletonIterator

public class SingletonIterator
extends DTMAxisIteratorBase

Constructor Summary
`SingletonIterator()`
`SingletonIterator(int node)`
`SingletonIterator(int node, boolean constant)`

Method Summary
`void` | `gotoMark()`
`int` | `next()`
`DTMAxisIterator` | `reset()`
`void` | `setMark()`
`DTMAxisIterator` | `setStartNode(int node)` Override the value of `_node` only when this object was constructed using the empty constructor.

Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase
`cloneIterator, getAxis, getLast, getNodeByPosition, getPosition, getStartNode, includeSelf, isDocOrdered, isReverse, setRestartable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingletonIterator

    public SingletonIterator()

### SingletonIterator

    public SingletonIterator(int node)

### SingletonIterator

    public SingletonIterator(int node,
                             boolean constant)

Method Detail

### setStartNode

    public DTMAxisIterator setStartNode(int node)

  Override the value of `_node` only when this object was constructed using the empty constructor.

### reset

    public DTMAxisIterator reset()

  Overrides:
    reset in class DTMAxisIteratorBase

### next

    public int next()

### setMark

    public void setMark()

### gotoMark

    public void gotoMark()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.